Skip to navigation

Get a contact request

View as Markdown
Retrieve details of a contact request for a directory owner organization

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

contactIdstringRequiredformat: "uuid"
ID of the contact requests to retrieve

Response

Detailed information about the contact request
firstNamestring<=50 characters
lastNamestring<=50 characters
emailstringformat: "email"
companyNamestring<=255 characters
hrefstringRead-only
idstringformat: "uuid"
createdstringRead-only
statestring
projectStatusenum or null
  • new - New
  • contacted - Contacted
  • engaged - Engaged
  • on_hold - On hold
  • secured - Secured
  • launched_deployed - Launched / Deployed
  • lost - Lost
entrymap from strings to any
directorymap from strings to any
sourceenum
  • matchmaking - Matchmaking
  • contact_request - Contact Request
Allowed values:
matchOriginstring or nullformat: "uuid"
customFormstringRead-only
eventslist of objects
firstViewedAtdatetime or null
phonestring or nullOptional<=30 characters
companyWebsitestring or nullOptional<=255 characters
commentsstring or nullOptional<=1000 characters
utmQueryParamsanyOptional
customFormResponseIdstringOptionalformat: "uuid"
declineReasonstring or nullOptional
declineReasonDetailstring or nullOptional
closeReasonstring or nullOptional
closeReasonDetailstring or nullOptional
routingSourcestring or nullOptional
isStalebooleanOptional
daysWaitingintegerOptional>=0
reminderCountintegerOptional>=0
holdReasonenum or nullOptional
  • same_message - Same message already sent to 2 partners today
  • same_phone - Same phone number already sent to 2 partners today
  • same_company - Same company already sent to 2 partners today
Allowed values:
reminderobjectOptional
senderBlockedbooleanOptional
closeNotificationRecipientslist of stringsOptional
deliveryobjectOptional

Errors

403
Forbidden Error
404
Not Found Error